@font-face {
  font-family: 'Makinas4';
  src: url('Makinas-4-Square.woff2') format('woff2')
}

@media all and (min-width:600px) {

  body {
    background-size: cover;
    background-color: black;
    background-image: url("back.png");
  }

  .bigtease {
    background-size: contain;
    background-image: url(back2.png);
  }

  body {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
  }

  #divindex, #divinfo {
    padding-top: 50px;
    padding-bottom: 50px;
  }

  .divsynopsis {
    margin-top: 10px;
    padding-top: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 50px;
    position: relative;
    width: fit-content;   /* la div prend la taille de l’image */
    margin-left: 100px;
  }

  #synopsis {
    display: block;
    max-width: 65%;
    max-height: 65%;
  }

  #synopsistext {
    position: absolute;
    inset: 0;                 /* remplace top/left/right/bottom */
    display: flex;
    justify-content: center;  /* centre horizontal */
    align-items: center;      /* centre vertical */
    text-align: center;
    padding: 20px;
  }

  #synopsistext p {
    padding: 40px;
    max-width: 90%;     /* empêche le texte de coller aux bords */
    word-wrap: break-word;
    font-family: Makinas4;
    color: rgb(255, 255, 255);
    font-size: 20px;
    font-weight: bolder;
    text-shadow: 2px 2px 5px rgb(199, 37, 37);  
  }

  #noordeal {
    box-shadow: 0 0 20px 20px rgba(0, 0, 0, 0.8);
    border-radius: 15px;
    width: 580px;
    height: 580px;
    margin-left: 210px;
  }

  a {
    color: rgb(240, 218, 105);
    margin-top: 30px;
  }

  a:visited {
    color: rgb(199, 37, 37);
  }

  a:hover {
    color: rgb(255, 88, 180);
  }

  #info {
    width: 30px;
    height: 30px;
  }

  #divinfo p {
    font-family: Makinas4;
    font-size: 30px;
    color: white;
    text-shadow: 2px 2px 5px rgb(199, 37, 37);
    text-align: center;
    max-width: 580px;
    max-height: 100vh;
    margin-left: 210px;
  }

  h2 {
    text-decoration: underline;
    font-family: Makinas4;
    font-size: 25px;
    color: white;
  }

  li {
    font-family: Makinas4;
    font-size: 25px;
    color: white;
  }

  .nolink {
    color: rgb(128, 128, 128);
  }

  nav {
    flex-shrink: 0;
    width: 210px;
    background-color: rgba(0, 0, 0, 0.5);
    margin-top: 40px;
    margin-left: 40px;
    padding: 20px;
    height: 460px;
    border: 4px;
    border-style: double;
    border-color: rgb(199, 37, 37);
  }

  #chars {    
    width: 1000px;
    margin-top: 15px;
    margin-left: 15px;
    margin-right: 15px;
    padding: 0;
    border: 8px;
    border-style: double;
    border-color: rgb(0, 0, 0);
    background-color: rgb(0, 0, 0, 0.5);
  }
 
  #chars img {
    padding: 0;
    width: 100%;
    height: auto;
  }

  .tease {
    width: 600px;
    margin-top: 15px;
    margin-left: 80px;
    margin-right: 15px;
    padding: 0;
  }
}

/*==================================================================*/
/*==================================================================*/
/*==================================================================*/
/*==================================================================*/
/*==================================================================*/
/*==================================================================*/
/*==================================================================*/
/*==================================================================*/
/*==================================================================*/
/*==================================================================*/

@media all and (min-width: 1px) and (max-width: 600px) {

  html {
    background-color: rgb(0, 0, 0, 0.8);
  }

  body {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
  }

  #divindex {
    padding-top: 45px;
    width: 340px;
    margin-bottom: 0;
    padding-bottom: 0;
    padding-left: 25px;
  }

  #divinfo {
    padding-top: 20px;
  }

  #divinfo {
    display: flex;
    flex-direction: column;
  }

  .bigdivsynopsis, .bigdivchars, .bigdivinfo, .bigdivindex, .bigtease {
    display: flex;
    flex-direction: column;
    padding-bottom: 0;
    margin-bottom: 0;
  }

  .divsynopsis {
    margin-top: 0;
    padding-top: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    width: 320px;   /* la div prend la taille de l’image */
    margin-left: 10px;
  }

  #synopsis {
    margin-top: 20px;
    display: block;
    width: 350px;
    height: 300px;
  }

  #synopsistext {
    position: absolute;
    inset: 0;                 /* remplace top/left/right/bottom */
    display: flex;
    justify-content: center;  /* centre horizontal */
    align-items: center;      /* centre vertical */
    text-align: center;
    padding: 0;
  }

  #synopsistext p {
    padding: 20px;
    word-wrap: break-word;
    font-family: Makinas4;
    color: rgb(255, 255, 255);
    font-size: 9px;
    font-weight: bolder;
    text-shadow: 2px 2px 5px rgb(199, 37, 37);  
  }

  #noordeal {
    box-shadow: 0 0 20px 20px rgba(0, 0, 0, 0.8);
    border-radius: 15px;
    width: 65%;
    height: 65%;
  }

  a {
    color: rgb(240, 218, 105);
    margin-top: 30px;
  }

  a:visited {
    color: rgb(199, 37, 37);
  }

  a:hover {
    color: rgb(255, 88, 180);
  }

  #info {
    width: 30px;
    height: 30px;
  }

  #divinfo p {
    margin-left: 40px;
    font-family: Makinas4;
    font-size: 15px;
    color: white;
    text-shadow: 2px 2px 5px rgb(199, 37, 37);
    text-align: center;
    max-width: 60%;
    max-height: 100vh;
  }

  h2 {
    text-decoration: underline;
    font-family: Makinas4;
    font-size: 15px;
    color: white;
    padding-left: 5px;
  }

  ul {
    padding-left: 20px;
    padding-right: 5px;
  }

  li {
    font-family: Makinas4;
    font-size: 15px;
    color: white;
  }

  .nolink {
    color: rgb(128, 128, 128);
  }

  nav {
    background-color: rgba(0, 0, 0, 0.5);
    width: 128px;
    height: 250px;
    border: 4px;
    border-style: double;
    border-color: rgb(199, 37, 37);
  }

  #chars {
    margin-top: 10px;
    margin-left: 0;
    padding: 0;
    border: 8px;
    border-style: double;
    border-color: rgb(0, 0, 0);
    background-color: rgb(0, 0, 0, 0.5);
  }

  #chars img {
    padding: 0;
    width: 300px;
    height: auto;
  }

  .tease {
    width: 300px;
    margin-top: 15px;
    margin-left: 15px;
    margin-right: 15px;
    padding: 0;
  }
}